Subject: bug#21953: Eliminate warnings in the emacs-25 release branch

From: Eli Zaretskii <[email-masked]>
Date: Thu, 19 Nov 2015 19:45:16 +0200

> From: Dmitry Gutov <[email-masked]>
> Date: Thu, 19 Nov 2015 19:29:44 +0200
> Cc: Richard Stallman <[email-masked]>, [email-masked]
> 
> I can get behind taking care of "correctness" warnings, but if we lose 
> the obsolete functions warnings, we risk forgetting to take care of 
> their causes.

I don't think anyone was lobbying for shutting up the obsolete
functions/variables warnings.  And I agree that the way to fix them
should not be just shutting them up.

> And it's not like we can actually fix all instances of obsolete usages 
> before the current release: a significant part of the warnings comes 
> from gnus, org, cc-mode and calendar, all of which, I'm assuming, have 
> to support older Emacsen.

That might be true, but a large number of CEDET warnings have nothing
to do with obsolete functions.

IOW, even if we cut the warnings from there by half, we've already
done a good job. because currently I cannot even see the file names
due to the warnings, they drown.